Index: Source/Python/Mods/checks.py
===================================================================
--- Source/Python/Mods/checks.py	(revision 44174de31acc10708895185f7beb7568204f0760)
+++ Source/Python/Mods/checks.py	(revision 0f89116d0fc1de9b182758abd84208eb9c6933b5)
@@ -29,11 +29,14 @@
 import os
 import sys
-
-import _config
+from datetime import datetime
+# pylint: disable=unused-import
 try:
     import exceptions
 except ImportError:
     import builtins as exceptions
-from datetime import datetime
+# pylint: enable=unused-import
+
+# software specific classes and modules from flex_extract
+import _config
 from Mods.tools import my_error, silent_remove
 # ------------------------------------------------------------------------------
@@ -113,5 +116,5 @@
     return grid
 
-def check_area(grid, area, upper, lower, left , right):
+def check_area(grid, area, upper, lower, left, right):
     '''Defines the correct area string.
 
@@ -158,8 +161,8 @@
 
     # determine area format
-    if ((abs(float(upper) / 10000.) >= 0.01 or float(upper) / 1000. == 0. ) and
-        (abs(float(lower) / 10000.) >= 0.01 or float(lower) / 1000. == 0. ) and
-        (abs(float(left) / 10000.) >= 0.01 or float(left) / 1000. == 0. ) and
-        (abs(float(right) / 10000.) >= 0.01 or float(right) / 1000. == 0.)):
+    if all([(abs(float(upper) / 10000.) >= 0.01 or float(upper) / 1000. == 0.),
+            (abs(float(lower) / 10000.) >= 0.01 or float(lower) / 1000. == 0.),
+            (abs(float(left) / 10000.) >= 0.01 or float(left) / 1000. == 0.),
+            (abs(float(right) / 10000.) >= 0.01 or float(right) / 1000. == 0.)]):
         # area is defined in 1/1000 degrees; old format
         area = '{}/{}/{}/{}'.format(float(upper) / 1000.,
@@ -167,8 +170,8 @@
                                     float(lower) / 1000.,
                                     float(right) / 1000.)
-    elif (abs(float(upper) / 10000.) < 0.05 and
-          abs(float(lower) / 10000.) < 0.05 and
-          abs(float(left) / 10000.) < 0.05 and
-          abs(float(right) / 10000.) < 0.05):
+    elif all([abs(float(upper) / 10000.) < 0.05,
+              abs(float(lower) / 10000.) < 0.05,
+              abs(float(left) / 10000.) < 0.05,
+              abs(float(right) / 10000.) < 0.05]):
         # area is already in new format
         area = '{}/{}/{}/{}'.format(float(upper),
@@ -180,5 +183,5 @@
                          'formats (upper, lower, left, right): '
                          '{}/{}/{}/{}'.format(str(upper), str(lower),
-                                              str(left) , str(right)))
+                                              str(left), str(right)))
 
     return area
@@ -281,5 +284,5 @@
 
 
-def check_step(step, mailfail):
+def check_step(step):
     '''Checks on step format and convert into a list of steps.
 
@@ -293,9 +296,4 @@
         Specifies the forecast time step from forecast base time.
         Valid values are hours (HH) from forecast base time.
-
-    mailfail : list of str
-        Contains all email addresses which should be notified.
-        It might also contain just the ecmwf user name which will trigger
-        mailing to the associated email address for this user.
 
     Return
@@ -405,5 +403,5 @@
         Valid values are hours (HH) from forecast base time.
     '''
-    if not (len(ftype) == len(ftime) == len(steps)):
+    if not len(ftype) == len(ftime) == len(steps):
         raise ValueError('ERROR: The number of field types, times and steps '
                          'are not the same! Please check the setting in the '
@@ -553,5 +551,5 @@
                          'in CONTROL file.\n'
                          'Try "{} -h" to print usage information'
-                         .format(sys.argv[0].split('/')[-1]) )
+                         .format(sys.argv[0].split('/')[-1]))
 
     # retrieve just one day if end_date isn't set
@@ -790,6 +788,6 @@
             accmaxstep = maxstep
             print('... For pure forecast mode, the accumulated forecast must '
-                          'have the same maxstep as the normal forecast fields!\n'
-                          '\t\t Accmaxstep was set to maxstep!')
+                  'have the same maxstep as the normal forecast fields!\n'
+                  '\t\t Accmaxstep was set to maxstep!')
     return accmaxstep
 
@@ -851,5 +849,5 @@
 
 
-def check_number(number, mailfail):
+def check_number(number):
     '''Check for correct string format of ensemble member numbers.
 
@@ -858,9 +856,4 @@
     number : str
         List of ensemble member forecast runs.
-
-    mailfail : list of str
-        Contains all email addresses which should be notified.
-        It might also contain just the ecmwf user name which will trigger
-        mailing to the associated email address for this user.
 
     Return
